<?php
/*****************************************************************************
 * Nagios endpoint added to allow a dashlet wizard to have visibility 
 * into the valid and authorized map names
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *****************************************************************************/

 class ViewMapNames {
    public function parse(){
        global $CORE, $AUTHORISATION;
        $mapsdata = Array();
        $maps = $CORE->getAvailableMaps();
        foreach($maps AS $map_name) {
            if($AUTHORISATION->isPermitted('Map', 'view', $map_name)) {
                $MAPCFG = new GlobalMapCfg($map_name);
                try {
                    $MAPCFG->readMapConfig(ONLY_GLOBAL);
                } catch(MapCfgInvalid $e) {
                    $map['configError'] = true;
                } catch(NagVisException $e) {
                    $map['configError'] = true;
                }

                $list[$map_name] = Array(
                    'mapName'   => $MAPCFG->getName(),
                    'mapAlias'  => $MAPCFG->getValue(0, 'alias'),
                    'childs'    => Array(),
                    'class'     => '',
                    'parent'    => $MAPCFG->getValue(0, 'parent_map'),
                );
            }
        }
        return $list;
    }
 }

?>
